23.02.2019 08:40    

ismaildd
alümina hocam tekrar yardım edebilirmisiniz.bu yazmış olduğunuz lisp hatırlayacağınız üzere pline tıklayınca uzunluğa göre en yakın
texti seçiyor ve çok işime yaradı.şimdi de bunun texte tıklayınca texti seçmesi lazım oldu.böyle sürekli bu sitede bişey isteyerek belkide ayıp etmiş oluyorum ama başka kime gideyim :D yardım edebilirseniz çok sevinirim.



(defun c:sb (/ sc ns ds ss n m p) (vl-load-com)
(if (setq sc (ssadd) ns (ssget ":s"
'((0 . "lwpolyline"))))
(progn (redraw (setq ns (ssname ns 0)) 3)
(if (and (setq ds (getdist "\nEnter the distance:"))
(setq ss (ssget "x" '((0 . "*text")))))
(progn
(repeat (setq n (sslength ss))
(setq n (1- n) m (ssname ss n) p (cdr
(assoc 10 (entget m))) sc (if (>= ds
(distance p (vlax-curve-getclosestpointto
(vlax-ename->vla-object ns) p)))
(ssadd m sc) sc))) (sssetfirst nil sc)
)
) (redraw ns 4)
)
) (princ)
)

> 1 <
Copyright © 2004-2022 SQL: 1.285 saniye - Sorgu: 42 - Ortalama: 0.03059 saniye